Skip to content
Start here

Get a policy by ID

zero_trust.cws.policies.get(strpolicy_id, PolicyGetParams**kwargs) -> Policy
GET/accounts/{account_id}/cws/policies/{policy_id}

Returns the policy with the specified ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
policy_id: str

ID of the policy to retrieve

formatuuid
ReturnsExpand Collapse
class Policy: …
id: str

Server-assigned UUID

formatuuid
created_at: datetime
formatdate-time
entrypoint: str

Non-function rule declared in rego_source. Evaluation uses data.<package_path>..

maxLength255
filter: Optional[str]

Optional filter expression that determines whether this policy applies. Null means the policy applies to every request. Maximum 4096 UTF-8 bytes.

maxLength4096
minLength1
name: str

Human-readable name; unique per account

maxLength100
minLength1
package_path: str

Dotted path derived from rego_source. Begins with policy. and is unique per account.

maxLength1024
rego_source: str

Inline Rego source with a package beginning with “policy.” Maximum 16384 UTF-8 bytes.

maxLength16384
minLength1
tags: Dict[str, str]

Tags attached to this policy

updated_at: datetime
formatdate-time
description: Optional[str]

Optional free-form description.

maxLength1024

Get a policy by ID

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
policy = client.zero_trust.cws.policies.get(
    policy_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
)
print(policy.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "entrypoint": "entrypoint",
    "filter": "x",
    "name": "x",
    "package_path": "package_path",
    "rego_source": "x",
    "tags": {
      "foo": "string"
    },
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "entrypoint": "entrypoint",
    "filter": "x",
    "name": "x",
    "package_path": "package_path",
    "rego_source": "x",
    "tags": {
      "foo": "string"
    },
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  },
  "success": true
}